%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           trac
Version:        0.9.3
Release:        2%{?dist}
Summary:        Enhanced wiki and issue tracking system

Group:          Applications/Internet
License:        BSD
URL:            http://trac.edgewall.com/
Source0:        http://ftp.edgewall.com/pub/trac/%{name}-%{version}.tar.gz
Source1:        trac.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  sed >= 3.95
Requires:       python-clearsilver >= 0.9.3
Requires:       subversion >= 1.1
Requires:       httpd
Requires:       python-sqlite >= 1.0

%description
Trac is an integrated system for managing software projects, an
enhanced wiki, a flexible web-based issue tracker, and an interface to
the Subversion revision control system.  At the core of Trac lies an
integrated wiki and issue/bug database. Using wiki markup, all objects
managed by Trac can directly link to other issues/bug reports, code
changesets, documentation and files.  Around the core lies other
modules, providing additional features and tools to make software
development more streamlined and effective.

%prep
%setup -q
chmod -x contrib/*
sed -i -e 's|/var/svn/test|/srv/svn|' trac/scripts/admin.py
chmod -x htdocs/js/wikitoolbar.js
rm trac/test.py scripts/tracd.1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

# --skip-build causes bad stuff in siteconfig.py as of 0.8.4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_var}/www/cgi-bin
mv $RPM_BUILD_ROOT%{_datadir}/trac/cgi-bin/trac.cgi \
  $RPM_BUILD_ROOT%{_var}/www/cgi-bin
rm -r $RPM_BUILD_ROOT%{_datadir}/trac/cgi-bin

install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/conf.d/trac.conf
rm $RPM_BUILD_ROOT%{_bindir}/tracd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL README* RELEASE THANKS UPGRADE contrib/
%{_bindir}/trac-admin
%{_bindir}/tracdb2env
%dir %{python_sitelib}/trac/
%{python_sitelib}/trac/*.py
%{python_sitelib}/trac/*.pyc
%ghost %{python_sitelib}/trac/*.pyo
%dir %{python_sitelib}/trac/mimeview/
%{python_sitelib}/trac/mimeview/*.py
%{python_sitelib}/trac/mimeview/*.pyc
%ghost %{python_sitelib}/trac/mimeview/*.pyo
%dir %{python_sitelib}/trac/scripts/
%{python_sitelib}/trac/scripts/*.py
%{python_sitelib}/trac/scripts/*.pyc
%ghost %{python_sitelib}/trac/scripts/*.pyo
%dir %{python_sitelib}/trac/ticket/
%{python_sitelib}/trac/ticket/*.py
%{python_sitelib}/trac/ticket/*.pyc
%ghost %{python_sitelib}/trac/ticket/*.pyo
%dir %{python_sitelib}/trac/upgrades/
%{python_sitelib}/trac/upgrades/*.py
%{python_sitelib}/trac/upgrades/*.pyc
%ghost %{python_sitelib}/trac/upgrades/*.pyo
%dir %{python_sitelib}/trac/versioncontrol/
%{python_sitelib}/trac/versioncontrol/*.py
%{python_sitelib}/trac/versioncontrol/*.pyc
%ghost %{python_sitelib}/trac/versioncontrol/*.pyo
%dir %{python_sitelib}/trac/versioncontrol/web_ui/
%{python_sitelib}/trac/versioncontrol/web_ui/*.py
%{python_sitelib}/trac/versioncontrol/web_ui/*.pyc
%ghost %{python_sitelib}/trac/versioncontrol/web_ui/*.pyo
%dir %{python_sitelib}/trac/web/
%{python_sitelib}/trac/web/*.py
%{python_sitelib}/trac/web/*.pyc
%ghost %{python_sitelib}/trac/web/*.pyo
%dir %{python_sitelib}/trac/wiki/
%{python_sitelib}/trac/wiki/*.py
%{python_sitelib}/trac/wiki/*.pyc
%ghost %{python_sitelib}/trac/wiki/*.pyo
%config(noreplace) /etc/httpd/conf.d/trac.conf
%{_datadir}/trac/
%{_var}/www/cgi-bin/trac.cgi
%{_mandir}/man1/trac-admin.1*
%{_mandir}/man1/tracdb2env.1*

%changelog
* Tue Jan 10 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.3-2
- removed trac.fcgi (bugzilla #174546, comment #11)
- applied patch (bugzilla #174546, attachment id=123008)

* Mon Jan  9 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.3-1
- 0.9.3
- removed tracd (bugzilla #174546, comment #6)
- added trac.conf for httpd
- removed %%{python_sitelib}/trac/test.py
- removed comments

* Tue Dec  6 2005 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.2-2
- added /etc/init.d/tracd
- added /etc/sysconfig/tracd

* Tue Dec  6 2005 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.2-1
- 0.9.2
- fixes SQL Injection Vulnerability in ticket search module.
- fixes broken ticket email notifications.

* Sat Dec  3 2005 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9.1-1
- 0.9.1
- fixes SQL Injection Vulnerability

* Tue Nov 29 2005 Joost Soeterbroek <fedora@soeterbroek.com> - 0.9-1
- Rebuild for Fedora Extras

* Tue Nov  1 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.9-1
- 0.9.

* Mon Jun 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.4-0.1
- 0.8.4.
- Move tracd to %%{_sbindir} and man page to section 8.

* Thu Jun 16 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.3-0.1
- 0.8.3.

* Wed Jun  1 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.2-0.1
- 0.8.2.

* Sun May 29 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-0.2
- Rebuild for FC4.

* Fri Apr  8 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-0.1
- First build.
